Clear a specific queue item
curl --request POST \
--url https://api.example.com/v1/queue/clear \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"queueId": "<string>"
}
'import requests
url = "https://api.example.com/v1/queue/clear"
payload = { "queueId": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({queueId: '<string>'})
};
fetch('https://api.example.com/v1/queue/clear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"queueId": "<string>"
}Queue
Clear Queue Item
Endpoint to clear a specific video generation request from the queue for the authenticated user.
POST
/
v1
/
queue
/
clear
Clear a specific queue item
Note: Clearing a queue item is irreversible.
Clear Queue Item
This endpoint clears a specific video generation request from the queue for the authenticated user.Request
- Endpoint:
POST /v1/queue/clear - Authorization: Bearer token required
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
queueId | string | Yes | The ID of the queue item to clear. |
Example Request
curl -X POST https://api.videnly.com/v1/queue/clear \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"queueId": "xxxxxxxxxxxxxxxxxxxxxxxx"
}'
⌘I

